CAPNG_PRINT_CAPS_NUMERIC(3)

NAME
capng_print_caps_text - print names of values for capabilities set

SYNOPSIS
#include <cap-ng.h>

char *capng_print_caps_text(capng_print_t where, capng_type_t which);

DESCRIPTION

capng_print_caps_text will create a text string representation of the internal capability set specified. The representation can be sent to either stdout or a buffer by passing CAPNG_PRINT_STDOUT or CAPNG_PRINT_BUFFER respectively for the where parameter. If the option was for a buffer, this function will malloc a buffer that the caller must free.

The legal values for the which paramemeter is CAPNG_EFFECTIVE, CAPNG_PERMITTED, CAPNG_INHERITABLE, or CAPNG_BOUNDING_SET.

RETURN VALUE

If CAPNG_PRINT_BUFFER was selected for where, this will be the text buffer and NULL on failure. If CAPNG_PRINT_STDOUT was selected then this value will be NULL no matter what.

SEE ALSO

capabilities(7)

AUTHOR
Steve Grubb